RHEL 4 : dbus (RHSA-2007:0008)

Low Nessus Plugin ID 24314


The remote Red Hat host is missing one or more security updates.


Updated dbus packages that fix a security issue are now available for Red Hat Enterprise Linux 4.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

D-BUS is a system for sending messages between applications. It is used both for the systemwide message bus service, and as a per-user-login-session messaging facility.

Kimmo Hamalainen discovered a flaw in the way D-BUS processes certain messages. It is possible for a local unprivileged D-BUS process to disrupt the ability of another D-BUS process to receive messages.

Users of dbus are advised to upgrade to these updated packages, which contain backported patches to correct this issue.


Update the affected packages.

See Also



Plugin Details

Severity: Low

ID: 24314

File Name: redhat-RHSA-2007-0008.nasl

Version: $Revision: 1.16 $

Type: local

Agent: unix

Published: 2007/02/09

Modified: 2016/12/29

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 1.7

Vector: CVSS2#AV:L/AC:L/Au:S/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:dbus, p-cpe:/a:redhat:enterprise_linux:dbus-devel, p-cpe:/a:redhat:enterprise_linux:dbus-glib, p-cpe:/a:redhat:enterprise_linux:dbus-python, p-cpe:/a:redhat:enterprise_linux:dbus-x11, cpe:/o:redhat:enterprise_linux:4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2007/02/08

Vulnerability Publication Date: 2006/12/14

Reference Information

CVE: CVE-2006-6107

OSVDB: 32279

RHSA: 2007:0008